<template>
    <div class="bg-[#ffffff] pb-[50px]">
        <div class="group_3 flex-col">
            <div class="section_1 flex-col">
                <div class="flex group_7 flex-row">
                    <img class="thumbnail_1" referrerpolicy="no-referrer" src="public/images/home.png" />
                    <span class="text_13">您的位置：首页&gt;系统公告</span>
                </div>
                <div class="text_14">联系我们</div>
            </div>
        </div>
        <div class="flex box_9 flex-row justify-center">
            <div class="flex group_8 flex-col justify-center">
                <div class="flex group_9 flex-row justify-between">
                    <div class="flex image-wrapper_1 flex-col">
                        <img class="label_1" referrerpolicy="no-referrer" src="public/images/k7.png" />
                    </div>
                    <span class="text_15">医院介绍</span>
                </div>
                <span class="paragraph_1">
                    {{ hospitalInfo.description }}
                </span>
            </div>
            <div class="block_2 flex-col relative">
                <img class="w-full mb-4" referrerpolicy="no-referrer" :src="hospitalInfo.image"
                    style="    position: absolute;top: -30px;left: -30px;" />
            </div>
        </div>
        <div class="z-10 mt-10">
            <div class="font-bold text-center" style="font-size: 32px;">医院位置</div>
            <div >
                <BaseMap class="map" ref="mapRef" api-key="OBPBZ-D7ECN-LQPFJ-SZ7WE-VJGTJ-FQFNI" :center="centerVal" :zoom="18">
                    <!-- <MultiMarker ref="markerRef" :geometries="geometries" :styles="styles" :options="options">
                    </MultiMarker> -->
                    <MultiMarker @click="onClick" ref="markerRef" :geometries="geometries" :styles="styles">
                    </MultiMarker>
                    <InfoWindow ref="infoWindowRef"  @Closeclick="visible = false" :visible="visible" :position="centerVal" content="信阳市第五人民医院"
                        :options="{
                            offset: {
                                x: 0,
                                y: -20,
                            }
                        }"></InfoWindow>
                </BaseMap>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { onMounted } from 'vue';
//import { BaiduMap, BmGeolocation, BmControl, BmInfoWindow, BmMarker } from 'vue-baidu-map-3x'

import { BaseMap, MultiMarker, InfoWindow } from 'tlbs-map-vue';


import $api from '@/service/webRequest'
const router = useRouter()
// 百度地图默认定位
const centerVal = ref({ lng: 114.214743, lat: 32.131004 });
const geometries = ref([
    { styleId: 'marker', position: { lng: 114.214743, lat: 32.131004 } },
]);
const infoWindowRef=ref(null);
const styles = ref({
    marker: {
        width: 20,
        height: 30,
        anchor: { x: 10, y: 30 },
    },
});
const visible = ref(true);
onMounted(() => {
    const coMobile = /Mobi|Android|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
    if (coMobile) {
        router.push('/phone_about')
    } else {
        router.push('/about')
    }
    getHospitalInfo();
});
const onClick = () => {
    console.log('点击了')
    visible.value = true;
}
//医院简介
const hospitalInfo = ref({});
const getHospitalInfo = () => {
    $api.post("/api/Broadcast/hospital_overview")
        .then((res: any) => {
            console.log(res)
            hospitalInfo.value = res.data.data;
        })
        .catch((err) => {
            console.dir(err)
        })
}
</script>
<style lang="scss" scoped>
@import "@/assets/css/common.scss";
@import "@/assets/css/about.css";

.map {
    width: 70%;
    height: 600px;
    margin: 0 auto;
}

@media screen and (max-width: 1440px) {
    .map {
        padding: 40px 30px;
    }
}
</style>
<style>
img {
    max-width: none !important;
}
</style>
